import jingrow
from jingrow.cache_manager import clear_defaults_cache


def execute():
	jingrow.db.set_default(
		"suspend_email_queue",
		jingrow.db.get_default("hold_queue", "Administrator") or 0,
		parent="__default",
	)

	jingrow.db.delete("DefaultValue", {"defkey": "hold_queue"})
	clear_defaults_cache()
